local BaikCore = LibStub("AceAddon-3.0"):GetAddon("BaikCore")
local Log = BaikCore.Log
local Option = BaikCore.Option

-- Add Module to BaikCore
local BaikItemLevel = BaikCore:NewModule("BaikItemLevel")
BaikCore.BaikItemLevel = BaikItemLevel
BaikItemLevel.OPTION_NAME = "unit"
BaikItemLevel.MESSAGE = "BaikItemLevelUpdate"

local OrderNumber = BaikCore.OrderNumber:Create()
BaikItemLevel.OrderNumber = OrderNumber

-- Constants
local OPTION = {
    name = "Item Level",
    type = "group",
    order = Option:GeneralOrderNumber(),
    args = {}
}

-- BaikItemLevel API
function BaikItemLevel:AddOption(name, opt)
    Assert:String(name)
    Assert:Table(opt)
    Assert:Null(OPTION.args[name])

    OPTION.args[name] = opt
end

function BaikItemLevel:GetArgs()
    return OPTION.args
end

-- Ace3 Callbacks
function BaikItemLevel:OnInitialize()
    Log:v("BaikItemLevel_OnInitialize")
    Option:AddCategory(self.OPTION_NAME, OPTION)
end

function BaikItemLevel:OnEnable()
    Log:v("BaikItemLevel_OnEnable")
end

function BaikItemLevel:OnDisable()
    Log:v("BaikItemLevel_OnDisable")
end
